Subject: ARM: Remove mach-msm: some leftovers

From: [email-masked] (Stephen Boyd)
Date: Tue, 07 Apr 2015 15:57:29 -0700

On 04/07/15 07:12, Valentin Rothberg wrote:
> On Tue, Apr 7, 2015 at 4:07 PM, Valentin Rothberg
> <[email-masked]> wrote:
>> Hi Stephen,
>>
>> your commit c0c89fafa289 ("ARM: Remove mach-msm and associated ARM
>> architecture code") removes config ARCH_MSM from Kconfig but leaves a
>> few references untouched:
>>
>> arch/arm/Kconfig.debug:1563:    default "debug/uncompress.h" if
>> ARCH_MULTIPLATFORM || ARCH_MSM || \
>> drivers/phy/Kconfig:289:        depends on OF && ARCH_MSM
>> drivers/scsi/ufs/Kconfig:76:    depends on SCSI_UFSHCD_PLATFORM && ARCH_MSM
>> drivers/video/fbdev/Kconfig:2331:       depends on FB && ARCH_MSM
>>
>> Is there a reason to keep those leftovers or is it an accident?
>>
>> I detected this issues with ./scripts/checkkconfigsymbols.py by
>> comparing today's and the previous linux-next tree (--diff
>> commit1..commit2).
>>
>> Kind regards,
>>  Valentin
> Same issue applies to the Kconfig option MSM_SMD:
>
> drivers/char/Kconfig:596:       depends on MSM_SMD
> drivers/tty/serial/Kconfig:1384:        depends on MSM_SMD

I'm currently waiting on the maintainers of said subsystems to apply the
patches that I've already sent to the list. I can resend the series
minus the patches that have already been picked up, but I can't do much
more than that.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project